trafodion-codereview mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From amandamoran <...@git.apache.org>
Subject [GitHub] incubator-trafodion pull request: Vanilla Apache HBase support and...
Date Wed, 20 Apr 2016 17:51:22 GMT
Github user amandamoran commented on a diff in the pull request:

    https://github.com/apache/incubator-trafodion/pull/440#discussion_r60455914
  
    --- Diff: install/installer/traf_config_check ---
    @@ -652,15 +685,16 @@ function checkRoleGroups {
     
     }
     
    +
     function checkClouderaVersion {
     
     if [[ $CDH_5_3_HDP_2_2_SUPPORT == "N" ]]; then
        #Check that Cloudera 5.2 or 5.3 are not installed.
        if [[ "$CDH_5_4_SUPPORT" == "Y" ]] || [[ "$CDH_5_5_SUPPORT" == "Y" ]]; then
    -      nameOfVersion=$(ssh -q -n $node grep "Version" $HOME/hbaseVersion.txt | sed 's/,.*//'
| sed 's/.*\-//' | grep cdh5.[4-5].*)
    +      nameOfVersion=$(ssh -q -n $node grep "Version" $HOME/hbaseVersion.txt | sed 's/,.*//'
| sed 's/.*\-//' | grep cdh5.[4-6].*)
           #Check that Cloudera 5.[n>4].* is not installed.
           if [[ -z $nameOfVersion ]]; then
    -         versionInstalled=$(ssh -q -n $node grep "Version" $HOME/hbaseVersion.txt | sed
's/,.*//' | sed 's/.*\-//' | grep cdh[6-9].[0-9].* | wc -l)
    +         versionInstalled=$(ssh -q -n $node grep "Version" $HOME/hbaseVersion.txt | sed
's/,.*//' | sed 's/.*\-//' | grep cdh[5-9].[7-9].* | wc -l)
              if [[ $versionInstalled -gt "0" ]]; then
    --- End diff --
    
    Yes. I won't edit for this check-in but I will write a JIRA to improve the version checking.
It's gotten too complicated. Thanks! 


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message